summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorQMK Bot <hello@qmk.fm>2020-12-18 20:18:55 +0000
committerQMK Bot <hello@qmk.fm>2020-12-18 20:18:55 +0000
commitd66c14b71ea42b6553e16f67ded3d37d3363aae8 (patch)
tree1201f4685aa75f313fb815a8a172fefed55c9860 /util
parent06f9297f9468a48c8be53c48b830e1eaa9a1665d (diff)
parent03cbee8637cb2de632db718db62db31c3d08ae4d (diff)
Merge remote-tracking branch 'origin/master' into develop
Diffstat (limited to 'util')
-rwxr-xr-xutil/list_keyboards.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/util/list_keyboards.sh b/util/list_keyboards.sh
new file mode 100755
index 0000000000..672d4a7843
--- /dev/null
+++ b/util/list_keyboards.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Temporary shell script to find keyboards
+#
+# This allows us to exclude keyboards by including a .noci file.
+
+find keyboards -type f -name rules.mk | grep -v keymaps | while read keyboard; do
+ keyboard=$(echo $keyboard | sed 's!keyboards/\(.*\)/rules.mk!\1!')
+
+ [ "$1" = "noci" -a -e "keyboards/${keyboard}/.noci" ] || echo "$keyboard"
+done